module Collection.PeopleBody exposing (emojiList)


emojiList : List ( String, String )
emojiList =
    List.append shorter handFingersOpen
        |> List.append handFingersPartial
        |> List.append handSingleFinger
        |> List.append handFingersClosed
        |> List.append hands
        |> List.append handProp
        |> List.append bodyParts
        |> List.append person
        |> List.append personGesture
        |> List.append personRole
        |> List.append personFantasy
        |> List.append personActivity
        |> List.append personSport
        |> List.append personResting
        |> List.append family
        |> List.append personSymbol


shorter =
    [ ( "(y)", "👍" ) ]


handFingersOpen =
    [ ( ":wave:", "👋" )
    , ( ":raised_back_of_hand:", "🤚" )
    , ( ":raised_hand_with_fingers_splayed:", "🖐️" )
    , ( ":hand:", "✋" )
    , ( ":raised_hand:", "✋" )
    , ( ":vulcan_salute:", "🖖" )
    ]


handFingersPartial =
    [ ( ":ok_hand:", "👌" )
    , ( ":pinched_fingers:", "\u{1F90C}" )
    , ( ":pinching_hand:", "🤏" )
    , ( ":v:", "✌️" )
    , ( ":crossed_fingers:", "🤞" )
    , ( ":love_you_gesture:", "🤟" )
    , ( ":metal:", "🤘" )
    , ( ":call_me_hand:", "🤙" )
    ]


handSingleFinger =
    [ ( ":point_left:", "👈" )
    , ( ":point_right:", "👉" )
    , ( ":point_up_2:", "👆" )
    , ( ":fu:", "🖕" )
    , ( ":middle_finger:", "🖕" )
    , ( ":point_down:", "👇" )
    , ( ":point_up:", "☝️" )
    ]


handFingersClosed =
    [ ( ":+1:", "👍" )
    , ( ":thumbsup:", "👍" )
    , ( ":-1:", "👎" )
    , ( ":thumbsdown:", "👎" )
    , ( ":fist:", "✊" )
    , ( ":fist_raised:", "✊" )
    , ( ":facepunch:", "👊" )
    , ( ":fist_oncoming:", "👊" )
    , ( ":punch:", "👊" )
    , ( ":fist_left:", "🤛" )
    , ( ":fist_right:", "🤜" )
    ]


hands =
    [ ( ":clap:", "👏" )
    , ( ":raised_hands:", "🙌" )
    , ( ":open_hands:", "👐" )
    , ( ":palms_up_together:", "🤲" )
    , ( ":handshake:", "🤝" )
    , ( ":pray:", "🙏" )
    ]


handProp =
    [ ( ":writing_hand:", "✍️" )
    , ( ":nail_care:", "💅" )
    , ( ":selfie:", "🤳" )
    ]


bodyParts =
    [ ( ":muscle:", "💪" )
    , ( ":mechanical_arm:", "🦾" )
    , ( ":mechanical_leg:", "🦿" )
    , ( ":leg:", "🦵" )
    , ( ":foot:", "🦶" )
    , ( ":ear:", "👂" )
    , ( ":ear_with_hearing_aid:", "🦻" )
    , ( ":nose:", "👃" )
    , ( ":brain:", "🧠" )
    , ( ":anatomical_heart:", "\u{1FAC0}" )
    , ( ":lungs:", "\u{1FAC1}" )
    , ( ":tooth:", "🦷" )
    , ( ":bone:", "🦴" )
    , ( ":eyes:", "👀" )
    , ( ":eye:", "👁️" )
    , ( ":tongue:", "👅" )
    , ( ":lips:", "👄" )
    ]


person =
    [ ( ":baby:", "👶" )
    , ( ":child:", "🧒" )
    , ( ":boy:", "👦" )
    , ( ":girl:", "👧" )
    , ( ":adult:", "🧑" )
    , ( ":blond_haired_person:", "👱" )
    , ( ":man:", "👨" )
    , ( ":bearded_person:", "🧔" )
    , ( ":man_beard:", "🧔\u{200D}♂️" )
    , ( ":woman_beard:", "🧔\u{200D}♀️" )
    , ( ":red_haired_man:", "👨\u{200D}🦰" )
    , ( ":curly_haired_man:", "👨\u{200D}🦱" )
    , ( ":white_haired_man:", "👨\u{200D}🦳" )
    , ( ":bald_man:", "👨\u{200D}🦲" )
    , ( ":woman:", "👩" )
    , ( ":red_haired_woman:", "👩\u{200D}🦰" )
    , ( ":person_red_hair:", "🧑\u{200D}🦰" )
    , ( ":curly_haired_woman:", "👩\u{200D}🦱" )
    , ( ":person_curly_hair:", "🧑\u{200D}🦱" )
    , ( ":white_haired_woman:", "👩\u{200D}🦳" )
    , ( ":person_white_hair:", "🧑\u{200D}🦳" )
    , ( ":bald_woman:", "👩\u{200D}🦲" )
    , ( ":person_bald:", "🧑\u{200D}🦲" )
    , ( ":blond_haired_woman:", "👱\u{200D}♀️" )
    , ( ":blonde_woman:", "👱\u{200D}♀️" )
    , ( ":blond_haired_man:", "👱\u{200D}♂️" )
    , ( ":older_adult:", "🧓" )
    , ( ":older_man:", "👴" )
    , ( ":older_woman:", "👵" )
    ]


personGesture =
    [ ( ":frowning_person:", "🙍" )
    , ( ":frowning_man:", "🙍\u{200D}♂️" )
    , ( ":frowning_woman:", "🙍\u{200D}♀️" )
    , ( ":pouting_face:", "🙎" )
    , ( ":pouting_man:", "🙎\u{200D}♂️" )
    , ( ":pouting_woman:", "🙎\u{200D}♀️" )
    , ( ":no_good:", "🙅" )
    , ( ":ng_man:", "🙅\u{200D}♂️" )
    , ( ":no_good_man:", "🙅\u{200D}♂️" )
    , ( ":ng_woman:", "🙅\u{200D}♀️" )
    , ( ":no_good_woman:", "🙅\u{200D}♀️" )
    , ( ":ok_person:", "🙆" )
    , ( ":ok_man:", "🙆\u{200D}♂️" )
    , ( ":ok_woman:", "🙆\u{200D}♀️" )
    , ( ":information_desk_person:", "💁" )
    , ( ":tipping_hand_person:", "💁" )
    , ( ":sassy_man:", "💁\u{200D}♂️" )
    , ( ":tipping_hand_man:", "💁\u{200D}♂️" )
    , ( ":sassy_woman:", "💁\u{200D}♀️" )
    , ( ":tipping_hand_woman:", "💁\u{200D}♀️" )
    , ( ":raising_hand:", "🙋" )
    , ( ":raising_hand_man:", "🙋\u{200D}♂️" )
    , ( ":raising_hand_woman:", "🙋\u{200D}♀️" )
    , ( ":deaf_person:", "🧏" )
    , ( ":deaf_man:", "🧏\u{200D}♂️" )
    , ( ":deaf_woman:", "🧏\u{200D}♀️" )
    , ( ":bow:", "🙇" )
    , ( ":bowing_man:", "🙇\u{200D}♂️" )
    , ( ":bowing_woman:", "🙇\u{200D}♀️" )
    , ( ":facepalm:", "🤦" )
    , ( ":man_facepalming:", "🤦\u{200D}♂️" )
    , ( ":woman_facepalming:", "🤦\u{200D}♀️" )
    , ( ":shrug:", "🤷" )
    , ( ":man_shrugging:", "🤷\u{200D}♂️" )
    , ( ":woman_shrugging:", "🤷\u{200D}♀️" )
    ]


personRole =
    [ ( ":health_worker:", "🧑\u{200D}⚕️" )
    , ( ":man_health_worker:", "👨\u{200D}⚕️" )
    , ( ":woman_health_worker:", "👩\u{200D}⚕️" )
    , ( ":student:", "🧑\u{200D}🎓" )
    , ( ":man_student:", "👨\u{200D}🎓" )
    , ( ":woman_student:", "👩\u{200D}🎓" )
    , ( ":teacher:", "🧑\u{200D}🏫" )
    , ( ":man_teacher:", "👨\u{200D}🏫" )
    , ( ":woman_teacher:", "👩\u{200D}🏫" )
    , ( ":judge:", "🧑\u{200D}⚖️" )
    , ( ":man_judge:", "👨\u{200D}⚖️" )
    , ( ":woman_judge:", "👩\u{200D}⚖️" )
    , ( ":farmer:", "🧑\u{200D}🌾" )
    , ( ":man_farmer:", "👨\u{200D}🌾" )
    , ( ":woman_farmer:", "👩\u{200D}🌾" )
    , ( ":cook:", "🧑\u{200D}🍳" )
    , ( ":man_cook:", "👨\u{200D}🍳" )
    , ( ":woman_cook:", "👩\u{200D}🍳" )
    , ( ":mechanic:", "🧑\u{200D}🔧" )
    , ( ":man_mechanic:", "👨\u{200D}🔧" )
    , ( ":woman_mechanic:", "👩\u{200D}🔧" )
    , ( ":factory_worker:", "🧑\u{200D}🏭" )
    , ( ":man_factory_worker:", "👨\u{200D}🏭" )
    , ( ":woman_factory_worker:", "👩\u{200D}🏭" )
    , ( ":office_worker:", "🧑\u{200D}💼" )
    , ( ":man_office_worker:", "👨\u{200D}💼" )
    , ( ":woman_office_worker:", "👩\u{200D}💼" )
    , ( ":scientist:", "🧑\u{200D}🔬" )
    , ( ":man_scientist:", "👨\u{200D}🔬" )
    , ( ":woman_scientist:", "👩\u{200D}🔬" )
    , ( ":technologist:", "🧑\u{200D}💻" )
    , ( ":man_technologist:", "👨\u{200D}💻" )
    , ( ":woman_technologist:", "👩\u{200D}💻" )
    , ( ":singer:", "🧑\u{200D}🎤" )
    , ( ":man_singer:", "👨\u{200D}🎤" )
    , ( ":woman_singer:", "👩\u{200D}🎤" )
    , ( ":artist:", "🧑\u{200D}🎨" )
    , ( ":man_artist:", "👨\u{200D}🎨" )
    , ( ":woman_artist:", "👩\u{200D}🎨" )
    , ( ":pilot:", "🧑\u{200D}✈️" )
    , ( ":man_pilot:", "👨\u{200D}✈️" )
    , ( ":woman_pilot:", "👩\u{200D}✈️" )
    , ( ":astronaut:", "🧑\u{200D}🚀" )
    , ( ":man_astronaut:", "👨\u{200D}🚀" )
    , ( ":woman_astronaut:", "👩\u{200D}🚀" )
    , ( ":firefighter:", "🧑\u{200D}🚒" )
    , ( ":man_firefighter:", "👨\u{200D}🚒" )
    , ( ":woman_firefighter:", "👩\u{200D}🚒" )
    , ( ":cop:", "👮" )
    , ( ":police_officer:", "👮" )
    , ( ":policeman:", "👮\u{200D}♂️" )
    , ( ":policewoman:", "👮\u{200D}♀️" )
    , ( ":detective:", "🕵️" )
    , ( ":male_detective:", "🕵️\u{200D}♂️" )
    , ( ":female_detective:", "🕵️\u{200D}♀️" )
    , ( ":guard:", "💂" )
    , ( ":guardsman:", "💂\u{200D}♂️" )
    , ( ":guardswoman:", "💂\u{200D}♀️" )
    , ( ":ninja:", "\u{1F977}" )
    , ( ":construction_worker:", "👷" )
    , ( ":construction_worker_man:", "👷\u{200D}♂️" )
    , ( ":construction_worker_woman:", "👷\u{200D}♀️" )
    , ( ":prince:", "🤴" )
    , ( ":princess:", "👸" )
    , ( ":person_with_turban:", "👳" )
    , ( ":man_with_turban:", "👳\u{200D}♂️" )
    , ( ":woman_with_turban:", "👳\u{200D}♀️" )
    , ( ":man_with_gua_pi_mao:", "👲" )
    , ( ":woman_with_headscarf:", "🧕" )
    , ( ":person_in_tuxedo:", "🤵" )
    , ( ":man_in_tuxedo:", "🤵\u{200D}♂️" )
    , ( ":woman_in_tuxedo:", "🤵\u{200D}♀️" )
    , ( ":person_with_veil:", "👰" )
    , ( ":man_with_veil:", "👰\u{200D}♂️" )
    , ( ":bride_with_veil:", "👰\u{200D}♀️" )
    , ( ":woman_with_veil:", "👰\u{200D}♀️" )
    , ( ":pregnant_woman:", "🤰" )
    , ( ":breast_feeding:", "🤱" )
    , ( ":woman_feeding_baby:", "👩\u{200D}🍼" )
    , ( ":man_feeding_baby:", "👨\u{200D}🍼" )
    , ( ":person_feeding_baby:", "🧑\u{200D}🍼" )
    ]


personFantasy =
    [ ( ":angel:", "👼" )
    , ( ":santa:", "🎅" )
    , ( ":mrs_claus:", "🤶" )
    , ( ":mx_claus:", "🧑\u{200D}🎄" )
    , ( ":superhero:", "🦸" )
    , ( ":superhero_man:", "🦸\u{200D}♂️" )
    , ( ":superhero_woman:", "🦸\u{200D}♀️" )
    , ( ":supervillain:", "🦹" )
    , ( ":supervillain_man:", "🦹\u{200D}♂️" )
    , ( ":supervillain_woman:", "🦹\u{200D}♀️" )
    , ( ":mage:", "🧙" )
    , ( ":mage_man:", "🧙\u{200D}♂️" )
    , ( ":mage_woman:", "🧙\u{200D}♀️" )
    , ( ":fairy:", "🧚" )
    , ( ":fairy_man:", "🧚\u{200D}♂️" )
    , ( ":fairy_woman:", "🧚\u{200D}♀️" )
    , ( ":vampire:", "🧛" )
    , ( ":vampire_man:", "🧛\u{200D}♂️" )
    , ( ":vampire_woman:", "🧛\u{200D}♀️" )
    , ( ":merperson:", "🧜" )
    , ( ":merman:", "🧜\u{200D}♂️" )
    , ( ":mermaid:", "🧜\u{200D}♀️" )
    , ( ":elf:", "🧝" )
    , ( ":elf_man:", "🧝\u{200D}♂️" )
    , ( ":elf_woman:", "🧝\u{200D}♀️" )
    , ( ":genie:", "🧞" )
    , ( ":genie_man:", "🧞\u{200D}♂️" )
    , ( ":genie_woman:", "🧞\u{200D}♀️" )
    , ( ":zombie:", "🧟" )
    , ( ":zombie_man:", "🧟\u{200D}♂️" )
    , ( ":zombie_woman:", "🧟\u{200D}♀️" )
    ]


personActivity =
    [ ( ":massage:", "💆" )
    , ( ":massage_man:", "💆\u{200D}♂️" )
    , ( ":massage_woman:", "💆\u{200D}♀️" )
    , ( ":haircut:", "💇" )
    , ( ":haircut_man:", "💇\u{200D}♂️" )
    , ( ":haircut_woman:", "💇\u{200D}♀️" )
    , ( ":walking:", "🚶" )
    , ( ":walking_man:", "🚶\u{200D}♂️" )
    , ( ":walking_woman:", "🚶\u{200D}♀️" )
    , ( ":standing_person:", "🧍" )
    , ( ":standing_man:", "🧍\u{200D}♂️" )
    , ( ":standing_woman:", "🧍\u{200D}♀️" )
    , ( ":kneeling_person:", "🧎" )
    , ( ":kneeling_man:", "🧎\u{200D}♂️" )
    , ( ":kneeling_woman:", "🧎\u{200D}♀️" )
    , ( ":person_with_probing_cane:", "🧑\u{200D}🦯" )
    , ( ":man_with_probing_cane:", "👨\u{200D}🦯" )
    , ( ":woman_with_probing_cane:", "👩\u{200D}🦯" )
    , ( ":person_in_motorized_wheelchair:", "🧑\u{200D}🦼" )
    , ( ":man_in_motorized_wheelchair:", "👨\u{200D}🦼" )
    , ( ":woman_in_motorized_wheelchair:", "👩\u{200D}🦼" )
    , ( ":person_in_manual_wheelchair:", "🧑\u{200D}🦽" )
    , ( ":man_in_manual_wheelchair:", "👨\u{200D}🦽" )
    , ( ":woman_in_manual_wheelchair:", "👩\u{200D}🦽" )
    , ( ":runner:", "🏃" )
    , ( ":running:", "🏃" )
    , ( ":running_man:", "🏃\u{200D}♂️" )
    , ( ":running_woman:", "🏃\u{200D}♀️" )
    , ( ":dancer:", "💃" )
    , ( ":woman_dancing:", "💃" )
    , ( ":man_dancing:", "🕺" )
    , ( ":business_suit_levitating:", "🕴️" )
    , ( ":dancers:", "👯" )
    , ( ":dancing_men:", "👯\u{200D}♂️" )
    , ( ":dancing_women:", "👯\u{200D}♀️" )
    , ( ":sauna_person:", "🧖" )
    , ( ":sauna_man:", "🧖\u{200D}♂️" )
    , ( ":sauna_woman:", "🧖\u{200D}♀️" )
    , ( ":climbing:", "🧗" )
    , ( ":climbing_man:", "🧗\u{200D}♂️" )
    , ( ":climbing_woman:", "🧗\u{200D}♀️" )
    ]


personSport =
    [ ( ":person_fencing:", "🤺" )
    , ( ":horse_racing:", "🏇" )
    , ( ":skier:", "⛷️" )
    , ( ":snowboarder:", "🏂" )
    , ( ":golfing:", "🏌️" )
    , ( ":golfing_man:", "🏌️\u{200D}♂️" )
    , ( ":golfing_woman:", "🏌️\u{200D}♀️" )
    , ( ":surfer:", "🏄" )
    , ( ":surfing_man:", "🏄\u{200D}♂️" )
    , ( ":surfing_woman:", "🏄\u{200D}♀️" )
    , ( ":rowboat:", "🚣" )
    , ( ":rowing_man:", "🚣\u{200D}♂️" )
    , ( ":rowing_woman:", "🚣\u{200D}♀️" )
    , ( ":swimmer:", "🏊" )
    , ( ":swimming_man:", "🏊\u{200D}♂️" )
    , ( ":swimming_woman:", "🏊\u{200D}♀️" )
    , ( ":bouncing_ball_person:", "⛹️" )
    , ( ":basketball_man:", "⛹️\u{200D}♂️" )
    , ( ":bouncing_ball_man:", "⛹️\u{200D}♂️" )
    , ( ":basketball_woman:", "⛹️\u{200D}♀️" )
    , ( ":bouncing_ball_woman:", "⛹️\u{200D}♀️" )
    , ( ":weight_lifting:", "🏋️" )
    , ( ":weight_lifting_man:", "🏋️\u{200D}♂️" )
    , ( ":weight_lifting_woman:", "🏋️\u{200D}♀️" )
    , ( ":bicyclist:", "🚴" )
    , ( ":biking_man:", "🚴\u{200D}♂️" )
    , ( ":biking_woman:", "🚴\u{200D}♀️" )
    , ( ":mountain_bicyclist:", "🚵" )
    , ( ":mountain_biking_man:", "🚵\u{200D}♂️" )
    , ( ":mountain_biking_woman:", "🚵\u{200D}♀️" )
    , ( ":cartwheeling:", "🤸" )
    , ( ":man_cartwheeling:", "🤸\u{200D}♂️" )
    , ( ":woman_cartwheeling:", "🤸\u{200D}♀️" )
    , ( ":wrestling:", "🤼" )
    , ( ":men_wrestling:", "🤼\u{200D}♂️" )
    , ( ":women_wrestling:", "🤼\u{200D}♀️" )
    , ( ":water_polo:", "🤽" )
    , ( ":man_playing_water_polo:", "🤽\u{200D}♂️" )
    , ( ":woman_playing_water_polo:", "🤽\u{200D}♀️" )
    , ( ":handball_person:", "🤾" )
    , ( ":man_playing_handball:", "🤾\u{200D}♂️" )
    , ( ":woman_playing_handball:", "🤾\u{200D}♀️" )
    , ( ":juggling_person:", "🤹" )
    , ( ":man_juggling:", "🤹\u{200D}♂️" )
    , ( ":woman_juggling:", "🤹\u{200D}♀️" )
    ]


personResting =
    [ ( ":lotus_position:", "🧘" )
    , ( ":lotus_position_man:", "🧘\u{200D}♂️" )
    , ( ":lotus_position_woman:", "🧘\u{200D}♀️" )
    , ( ":bath:", "🛀" )
    , ( ":sleeping_bed:", "🛌" )
    ]


family =
    [ ( ":people_holding_hands:", "🧑\u{200D}🤝\u{200D}🧑" )
    , ( ":two_women_holding_hands:", "👭" )
    , ( ":couple:", "👫" )
    , ( ":two_men_holding_hands:", "👬" )
    , ( ":couplekiss:", "💏" )
    , ( ":couplekiss_man_woman:", "👩\u{200D}❤️\u{200D}💋\u{200D}👨" )
    , ( ":couplekiss_man_man:", "👨\u{200D}❤️\u{200D}💋\u{200D}👨" )
    , ( ":couplekiss_woman_woman:", "👩\u{200D}❤️\u{200D}💋\u{200D}👩" )
    , ( ":couple_with_heart:", "💑" )
    , ( ":couple_with_heart_woman_man:", "👩\u{200D}❤️\u{200D}👨" )
    , ( ":couple_with_heart_man_man:", "👨\u{200D}❤️\u{200D}👨" )
    , ( ":couple_with_heart_woman_woman:", "👩\u{200D}❤️\u{200D}👩" )
    , ( ":family:", "👪" )
    , ( ":family_man_woman_boy:", "👨\u{200D}👩\u{200D}👦" )
    , ( ":family_man_woman_girl:", "👨\u{200D}👩\u{200D}👧" )
    , ( ":family_man_woman_girl_boy:", "👨\u{200D}👩\u{200D}👧\u{200D}👦" )
    , ( ":family_man_woman_boy_boy:", "👨\u{200D}👩\u{200D}👦\u{200D}👦" )
    , ( ":family_man_woman_girl_girl:", "👨\u{200D}👩\u{200D}👧\u{200D}👧" )
    , ( ":family_man_man_boy:", "👨\u{200D}👨\u{200D}👦" )
    , ( ":family_man_man_girl:", "👨\u{200D}👨\u{200D}👧" )
    , ( ":family_man_man_girl_boy:", "👨\u{200D}👨\u{200D}👧\u{200D}👦" )
    , ( ":family_man_man_boy_boy:", "👨\u{200D}👨\u{200D}👦\u{200D}👦" )
    , ( ":family_man_man_girl_girl:", "👨\u{200D}👨\u{200D}👧\u{200D}👧" )
    , ( ":family_woman_woman_boy:", "👩\u{200D}👩\u{200D}👦" )
    , ( ":family_woman_woman_girl:", "👩\u{200D}👩\u{200D}👧" )
    , ( ":family_woman_woman_girl_boy:", "👩\u{200D}👩\u{200D}👧\u{200D}👦" )
    , ( ":family_woman_woman_boy_boy:", "👩\u{200D}👩\u{200D}👦\u{200D}👦" )
    , ( ":family_woman_woman_girl_girl:", "👩\u{200D}👩\u{200D}👧\u{200D}👧" )
    , ( ":family_man_boy:", "👨\u{200D}👦" )
    , ( ":family_man_boy_boy:", "👨\u{200D}👦\u{200D}👦" )
    , ( ":family_man_girl:", "👨\u{200D}👧" )
    , ( ":family_man_girl_boy:", "👨\u{200D}👧\u{200D}👦" )
    , ( ":family_man_girl_girl:", "👨\u{200D}👧\u{200D}👧" )
    , ( ":family_woman_boy:", "👩\u{200D}👦" )
    , ( ":family_woman_boy_boy:", "👩\u{200D}👦\u{200D}👦" )
    , ( ":family_woman_girl:", "👩\u{200D}👧" )
    , ( ":family_woman_girl_boy:", "👩\u{200D}👧\u{200D}👦" )
    , ( ":family_woman_girl_girl:", "👩\u{200D}👧\u{200D}👧" )
    ]


personSymbol =
    [ ( ":speaking_head:", "🗣️" )
    , ( ":bust_in_silhouette:", "👤" )
    , ( ":busts_in_silhouette:", "👥" )
    , ( ":people_hugging:", "\u{1FAC2}" )
    , ( ":footprints:", "👣" )
    ]
